import { defineComponent as r, computed as m, createBlock as c, openBlock as b, unref as e, withCtx as a, createVNode as d } from "vue";
import { L as f, b as V, I as _, a0 as B } from "./index-CVEvAPNs.js";
const v = /* @__PURE__ */ r({
  __name: "_description",
  props: {
    modelValue: {},
    disabled: { type: Boolean }
  },
  emits: ["update:modelValue"],
  setup(n, { emit: i }) {
    const s = n, u = i, o = m({
      get: () => s.modelValue,
      set: (t) => u("update:modelValue", t)
    });
    return (t, l) => (b(), c(e(f), { background: "var(--lab-input-field)" }, {
      default: a(() => [
        d(e(V), null, {
          default: a(() => [
            d(e(_), {
              modelValue: o.value,
              "onUpdate:modelValue": l[0] || (l[0] = (p) => o.value = p),
              placeholder: "Beschreibung",
              icon: e(B),
              disabled: t.disabled
            }, null, 8, ["modelValue", "icon", "disabled"])
          ]),
          _: 1
        })
      ]),
      _: 1
    }));
  }
});
export {
  v as _
};
